Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.serialize
Class MessageWarner

    java.lang.Object
      net.sf.saxon.serialize.Emitter
          net.sf.saxon.serialize.XMLEmitter
              net.sf.saxon.serialize.MessageWarner

All Implemented Interfaces:
  Result, Receiver

    public class MessageWarner

extends XMLEmitter

MessageWarner is a user-selectable receiver for XSLT xsl:message output. It causes xsl:message output to be notified to the warning() method of the JAXP ErrorListener, or to the error() method if terminate="yes" is specified. This behaviour is specified in recent versions of the JAXP interface specifications, but it is not the default behaviour, for backwards compatibility reasons.

The text of the message that is sent to the ErrorListener is an XML serialization of the actual message content.

Field Summary

Fields inherited from class net.sf.saxon.serialize.XMLEmitter
`characterReferenceGenerator, declarationIsWritten, elementCode, elementStack, indentForNextAttribute, openStartTag, started, startedElement, undeclareNamespaces`

Fields inherited from class net.sf.saxon.serialize.Emitter
`allCharactersEncodable, characterSet, namePool, outputProperties, outputStream, pipelineConfig, streamResult, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`MessageWarner()`

Method Summary
`void` | `close()` End of the document.
`void` | `endDocument()` Notify the end of a document node
`void` | `startDocument(int properties)` Start of a document node.

Methods inherited from class net.sf.saxon.serialize.XMLEmitter
`attribute, characters, closeStartTag, comment, emptyElementTagCloser, endElement, getAttributeIndentString, namespace, open, openDocument, processingInstruction, setCharacterReferenceGenerator, setEscapeNonAscii, setIndentForNextAttribute, startContent, startElement, testCharacters, usesTypeAnnotations, writeAttribute, writeCharSequence, writeDeclaration, writeDocType, writeEscape`

Methods inherited from class net.sf.saxon.serialize.Emitter
`getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, makeOutputStream, makeWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageWarner

    public MessageWarner()

Method Detail

### startDocument

    public void startDocument(int properties)
                       throws XPathException

  Description copied from class: `XMLEmitter`
  Start of a document node. Nothing is done at this stage: the opening of the output file is deferred until some content is written to it.

  Specified by:
    `startDocument` in interface `Receiver`
  Overrides:
    `startDocument` in class `XMLEmitter`
  Parameters:
    `properties` - bit-significant integer indicating properties of the document node. The definitions of the bits are in class `ReceiverOptions`
  Throws:
    `XPathException` - if an error occurs

### endDocument

    public void endDocument()
                     throws XPathException

  Description copied from class: `XMLEmitter`
  Notify the end of a document node

  Specified by:
    `endDocument` in interface `Receiver`
  Overrides:
    `endDocument` in class `XMLEmitter`
  Throws:
    `XPathException` - if an error occurs

### close

    public void close()

  Description copied from class: `XMLEmitter`
  End of the document.

  Specified by:
    `close` in interface `Receiver`
  Overrides:
    `close` in class `XMLEmitter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.